petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscRandomSetFromOptions

Configures the random number generator from the options database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRandomSetFromOptions(PetscRandom rnd)

Collective on PetscRandom

### Input Parameter

rnd -The random number generator context

### Options Database

-random_seed <integer> -provide a seed to the random number generater

Notes: To see all options, run your program with the -help option. Must be called after PetscRandomCreate() but before the rnd is used.

### Keywords

PetscRandom, set, options, database

### See Also

PetscRandomCreate(), PetscRandomSetType()

Level:beginner
Location:src/sys/classes/random/interface/randomc.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex1.c.html
src/sys/classes/random/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex11.c.html
src/ksp/ksp/examples/tutorials/ex18.c.html
src/ksp/ksp/examples/tutorials/ex46.c.html
src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex2f.F.html
src/ksp/ksp/examples/tutorials/ex11f.F.html
src/ts/examples/tutorials/ex23.c.html